CREATE TABLE msc_causal_factors_decomp_b (
    PROFILE_ID           NUMBER(18, 0) ,
    CAUSAL_DECOMP_ID     NUMBER(18, 0) ,
    OUTPUT_MEASURE_ID    NUMBER(18, 0) ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    SEED_DATA_SOURCE     VARCHAR2(2048),
    ORA_SEED_SET1        VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2        VARCHAR2(4)       NOT NULL,
    PROFILE_ID           NUMBER(18, 0) ,
    CAUSAL_DECOMP_ID     NUMBER(18, 0) ,
    OUTPUT_MEASURE_ID    NUMBER(18, 0) ,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    SEED_DATA_SOURCE     VARCHAR2(2048),
    ORA_SEED_SET1        VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2        VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_msc_causal_factors_decomp_b PRIMARY KEY (PROFILE_ID, CAUSAL_DECOMP_ID, PROFILE_ID, CAUSAL_DECOMP_ID)
);
